Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr
Class JCRCommandFactory

    java.lang.Object
      org.jboss.portal.cms.impl.jcr.JCRCommandFactory

All Implemented Interfaces:
  CommandFactory

    public class JCRCommandFactory

extends java.lang.Object
implements CommandFactory

Author:
  Roy Russo, Thomas Heute

Constructor Summary
`JCRCommandFactory()`

Method Summary
`Command` | `createAsyncStoreArchiveCommand(CMS cms, java.lang.String sRootPath, java.io.InputStream is, java.lang.String sLanguage)`
`Command` | `createContentCreateNewVersionCommand(Content content, boolean bMakeLive)`
`Command` | `createContentCreateNewVersionCommand(java.util.List contents, boolean bMakeLive)`
`Command` | `createContentGetCommand(java.lang.String sPath, java.lang.String sVersionNumber, java.util.Locale locale)`
`Command` | `createContentGetVersionsCommand(java.lang.String sFilePath)`
`Command` | `createContentSaveCommand(File file)`
`Command` | `createCopyCommand(java.lang.String sFromPath, java.lang.String sToPath)`
`Command` | `createDeleteCommand(java.lang.String sPath)`
`Command` | `createFileGetCommand(java.lang.String sFilePath, java.util.Locale locale)`
`Command` | `createFileGetCommand(java.lang.String sFilePath, java.lang.String sVersionNumber, java.util.Locale locale)`
`Command` | `createFileGetListCommand(java.lang.String sFilePath)`
`Command` | `createFileSaveCommand(File file)`
`Command` | `createFileUpdateCommand(File file)`
`Command` | `createFolderGetCommand(java.lang.String sFolderPath)`
`Command` | `createFolderGetListCommand(java.lang.String sFolderPath)`
`Command` | `createFolderSaveCommand(Folder folder)`
`Command` | `createFolderUpdateCommand(Folder folder)`
`Command` | `createGetArchiveCommand(java.lang.String sRootPath, java.lang.String sLanguage)`
`Command` | `createItemExistsCommand(java.lang.String sPath)`
`Command` | `createMakeLiveVersionCommand(java.lang.String filePath, java.lang.String language, java.lang.String version)`
`Command` | `createMoveCommand(java.lang.String sFromPath, java.lang.String sToPath)`
`Command` | `createNewFileCommand(File sFile, Content content)`
`Command` | `createRenameCommand(java.lang.String sPath, java.lang.String sNewName)`
`Command` | `createSearchCommand(org.jboss.portal.search.impl.jcr.JCRQuery query)`
`Command` | `createStoreArchiveCommand(java.lang.String sRootPath, java.io.InputStream is, java.lang.String sLanguage)`
`Command` | `createUpdateFileCommand(File sFile, Content content, boolean makeLive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCRCommandFactory

    public JCRCommandFactory()

Method Detail

### createNewFileCommand

    public Command createNewFileCommand(File sFile,
                                        Content content)

  Specified by:
    `createNewFileCommand` in interface `CommandFactory`

### createUpdateFileCommand

    public Command createUpdateFileCommand(File sFile,
                                           Content content,
                                           boolean makeLive)

  Specified by:
    `createUpdateFileCommand` in interface `CommandFactory`

### createCopyCommand

    public Command createCopyCommand(java.lang.String sFromPath,
                                     java.lang.String sToPath)

  Specified by:
    `createCopyCommand` in interface `CommandFactory`

### createMoveCommand

    public Command createMoveCommand(java.lang.String sFromPath,
                                     java.lang.String sToPath)

  Specified by:
    `createMoveCommand` in interface `CommandFactory`

### createRenameCommand

    public Command createRenameCommand(java.lang.String sPath,
                                       java.lang.String sNewName)

  Specified by:
    `createRenameCommand` in interface `CommandFactory`

### createDeleteCommand

    public Command createDeleteCommand(java.lang.String sPath)

  Specified by:
    `createDeleteCommand` in interface `CommandFactory`

### createFileSaveCommand

    public Command createFileSaveCommand(File file)

  Specified by:
    `createFileSaveCommand` in interface `CommandFactory`

### createFileGetCommand

    public Command createFileGetCommand(java.lang.String sFilePath,
                                        java.lang.String sVersionNumber,
                                        java.util.Locale locale)

  Specified by:
    `createFileGetCommand` in interface `CommandFactory`

### createFileGetCommand

    public Command createFileGetCommand(java.lang.String sFilePath,
                                        java.util.Locale locale)

  Specified by:
    `createFileGetCommand` in interface `CommandFactory`

### createFileUpdateCommand

    public Command createFileUpdateCommand(File file)

  Specified by:
    `createFileUpdateCommand` in interface `CommandFactory`

### createFolderSaveCommand

    public Command createFolderSaveCommand(Folder folder)

  Specified by:
    `createFolderSaveCommand` in interface `CommandFactory`

### createFolderGetCommand

    public Command createFolderGetCommand(java.lang.String sFolderPath)

  Specified by:
    `createFolderGetCommand` in interface `CommandFactory`

### createFolderUpdateCommand

    public Command createFolderUpdateCommand(Folder folder)

  Specified by:
    `createFolderUpdateCommand` in interface `CommandFactory`

### createContentGetVersionsCommand

    public Command createContentGetVersionsCommand(java.lang.String sFilePath)

  Specified by:
    `createContentGetVersionsCommand` in interface `CommandFactory`

### createFolderGetListCommand

    public Command createFolderGetListCommand(java.lang.String sFolderPath)

  Specified by:
    `createFolderGetListCommand` in interface `CommandFactory`

### createContentCreateNewVersionCommand

    public Command createContentCreateNewVersionCommand(Content content,
                                                        boolean bMakeLive)

  Specified by:
    `createContentCreateNewVersionCommand` in interface `CommandFactory`

### createContentCreateNewVersionCommand

    public Command createContentCreateNewVersionCommand(java.util.List contents,
                                                        boolean bMakeLive)

  Specified by:
    `createContentCreateNewVersionCommand` in interface `CommandFactory`

### createStoreArchiveCommand

    public Command createStoreArchiveCommand(java.lang.String sRootPath,
                                             java.io.InputStream is,
                                             java.lang.String sLanguage)

  Specified by:
    `createStoreArchiveCommand` in interface `CommandFactory`

### createAsyncStoreArchiveCommand

    public Command createAsyncStoreArchiveCommand(CMS cms,
                                                  java.lang.String sRootPath,
                                                  java.io.InputStream is,
                                                  java.lang.String sLanguage)

  Specified by:
    `createAsyncStoreArchiveCommand` in interface `CommandFactory`

### createItemExistsCommand

    public Command createItemExistsCommand(java.lang.String sPath)

  Specified by:
    `createItemExistsCommand` in interface `CommandFactory`

### createContentSaveCommand

    public Command createContentSaveCommand(File file)

  Specified by:
    `createContentSaveCommand` in interface `CommandFactory`

### createContentGetCommand

    public Command createContentGetCommand(java.lang.String sPath,
                                           java.lang.String sVersionNumber,
                                           java.util.Locale locale)

  Specified by:
    `createContentGetCommand` in interface `CommandFactory`

### createFileGetListCommand

    public Command createFileGetListCommand(java.lang.String sFilePath)

  Specified by:
    `createFileGetListCommand` in interface `CommandFactory`

### createGetArchiveCommand

    public Command createGetArchiveCommand(java.lang.String sRootPath,
                                           java.lang.String sLanguage)

  Specified by:
    `createGetArchiveCommand` in interface `CommandFactory`

### createSearchCommand

    public Command createSearchCommand(org.jboss.portal.search.impl.jcr.JCRQuery query)

  Specified by:
    `createSearchCommand` in interface `CommandFactory`

### createMakeLiveVersionCommand

    public Command createMakeLiveVersionCommand(java.lang.String filePath,
                                                java.lang.String language,
                                                java.lang.String version)

  Specified by:
    `createMakeLiveVersionCommand` in interface `CommandFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.